Loading in 2 Seconds...

Collection Depots Facility Location Problems in Trees R. Benkoczi, B. Bhattacharya, A. Tamir

Loading in 2 Seconds...

- 116 Views
- Uploaded on

Download Presentation
## PowerPoint Slideshow about ' Collection Depots Facility Location Problems in Trees R. Benkoczi, B. Bhattacharya, A. Tamir' - trevor-lloyd

**An Image/Link below is provided (as is) to download presentation**

Download Policy: Content on the Website is provided to you AS IS for your information and personal use and may not be sold / licensed / shared on other websites without getting consent from its author.While downloading, if for some reason you are not able to download a presentation, the publisher may have deleted the file from their server.

- - - - - - - - - - - - - - - - - - - - - - - - - - E N D - - - - - - - - - - - - - - - - - - - - - - - - - -

Presentation Transcript

### Collection Depots Facility LocationProblems in TreesR. Benkoczi, B. Bhattacharya, A. Tamir

陳冠伶‧王湘叡‧李佳霖‧張經略

Jun 12, 2007

Application (1)

Express Transportation

Application (2)

Garbage collection

Problem

- IN: given a tree and
- points of clients
- points of collection depots
- an integer k
- OUT
- Optimal placements of kfacilities
- that minimizes some global function of the service cost for all clients.

Summary of Results

- Unrestricted 1-center problem
- O(n)
- Unrestricted median problems
- 1-median: O(nlogn)
- k-median: O(kn3)
- Restricted k-median problem
- NP-complete
- Facility setup costs are not identical

Prune and Search

- Every iteration, eliminate a fraction of impossible instances.
- Binary Search
- T(n)=T(n/2)+1
- T(n)=O(lg n)
- How about

Observation

- c(f)=max min r(f, vi)
- Service cost is non-decreasing when the facility goes away from the client.

Divide T(i) into S1 and S2

- Find the centroid and partition the tree into two parts

centroid

- S1 > 1/3 |T(i)|

- S2 > 1/3 |T(i)|

Find the Xmax

- Find the client Xmax with the largest service cost from the centroid.

Xmax

f

S2

S1

foptmust be in S1

Partition the clients

- Compute all depot distance
- Find the median δmed
- Separate all clients into two sets, K+ (red) and K- (blue)

δmed

- S2

Partition S1 by δmed

- Find all f’, they form trees T1, T2, …,Tn
- There are two cases, fopt is in ∪Tior not

f

T1

T2

T3

fopt is in ∪Ti

- If fopt in red, consider K+, δ(fopt)<δmed<δ(K+)
- For a facility F’ in S1 and a client in S2, δ(fopt, u) is in S1

δ(f’, u)

δ(f’, u)

fopt

f’

fopt is in not ∪Ti

- If fopt is not in red, consider K-,

δ(K-)<δmed <δ(fopt)

- For a facility F’ in Sand a client in S2, δ(fopt, u) is in S2
- Similar to previous

case

- Only fopt in ∪Ti is considered.

δ(fopt, u)

f’

fopt

Details on fopt is in ∪Ti

- Arbitrarily paired clients in K+
- For each pair (u, v), Compute tuv s.t. w(v)(tuv+d(c,v))=w(u).(tuv+d(c,u))
- Compare tmed and

d(fopt, c)+d((fopt,c),p(fopt, c))

δ(f’, u)

fopt

fopt

d(fopt, c)+d((fopt,c),p(fopt, c)) < tmed

- consider tmed<tuv
- d(fopt, c)+d((fopt,c),p(fopt, c))<tmed<tuv

δ(f’, u)

fopt

fopt

d(fopt, c)+d((fopt,c),p(fopt, c)) > tmed

- consider tmed>tuv
- d(fopt, c)+d((fopt,c),p(fopt, c))>tmed>tuv
- ¼ K+ can be removed

δ(f’, u)

fopt

fopt

The 1-median Problem

- Find a placement for facility to minimize the cost of all tours.
- i.e. minimize the sum of weighted distances of the facility to client, then to optimal depot, and return to facility.
- For the path of a facility to a client, the closest depot can be found efficiently.
- Brute Force: Ο(n2)
- Using Spine decomposition and pre-sorting: Ο(nlogn)

Complexity

- Construction for the SD has time complexity Ο(n) and space complexity Ο(n)
- Costs of the subtrees can be evaluated in constant timeonce j is determined.
- If we use binary search with dnew, we spend Ο(logn) time for every subtree. So Ο(log2n).
- Use the sequential search in sorted order. So Ο(logn).
- The 1-median collection depots problem in tree can be sloved in Ο(nlogn) time and Ο(n) space.

The objective

- To minimize the sum of facility opening costs plus service costs for servicing the clients.

The “自給自足” property (1/4)

- We fixed an arbitrary optimal solution and explore its structure.

The “自給自足” property (2/4)

- Consider an arbitrary vertex v.
- xv: minimize the trip cost of serving v
- yv:be a closest facility to v.

yv

Assumed (for contradiction) servicing facility for client C

xv

v

Tleft

Tright

client C

The “自給自足” property (3/4)

Assumed (for contradiction) servicing facility for client C

yv

xv

v

client C

Tright

Tleft

The “自給自足” property (4/4)

- The blue part of the following graph is proven by symmetry.

yv

xv

v

Tleft

Tright

The intuition… (1/2)

- The total cost can be partitioned into four categories: the red, yellow, blue cost and v.

yv

xv

v

Tleft

Tright

The intuition… (2/2)

- The optimal solution has to be a combination of optimal substructures
- You have to be “optimal” in the red (to minimize the red cost) and the yellow (to minimize the yellow cost).
- This almost leads to Dynamic Programming already!

The technical things

- Due to some complications, the final Dynamic Programming is much more complicated…
- But the proof requires no special technique beyond the “自給自足” property.
- The challenge is to devise the “right” recurrences to carry out the aforementioned intuitive approach.

Time complexity

- Easily verified to be polynomial.

Download Presentation

Connecting to Server..